public class MethodParamTest{
	public void methodOne(int p){
		p++;
		System.out.println("methodOne p: "+p);
	}
	
	public void methodTwo(A p){
		p.k++;
		System.out.println("methodTwo p.k: "+p.k);
	}
	
	public void methodThree(String p){
		p=p+p;
		System.out.println("methodThree p: "+p);
		
	}
	
	public static void main(String[] args){
		MethodParamTest t=new MethodParamTest();
		
		int i=10;
		t.methodOne(i);
		System.out.println("i="+i);
		t.methodOne(9);
		
		A a=new A();
		t.methodTwo(a);
		System.out.println("a.k="+a.k);
		
		String s="abc";
		t.methodThree(s);
		System.out.println("s="+s);    
	}

}

class A{
	public int k=10;
}